import mongoose, { InferSchemaType, Schema } from "mongoose";

export interface IUser extends Document {
  accountName: string;
  username: string;
  password: string;
  followers: number;
  following: number;
  visited: number;
  isAdmin: boolean;
}

export const userSchema = new Schema({
  accountName: String,
  username: String,
  password: String,
  followers: {
    type: Number,
    default: 0,
  },
  following: {
    type: Number,
    default: 0,
  },
  visited: {
    type: Number,
    default: 0,
  },
  isAdmin: {
    type: Boolean,
    default: false,
  },
});

export type User = InferSchemaType<typeof userSchema>;

export const User = mongoose.model<IUser>("User", userSchema);
