// Time duration in milliseconds for a default session expiration (7 days)
export const DEFAULT_SESSION_EXPIRATION: number = 7 * 24 * 60 * 60 * 1000;

// Maximum number of users to display per page in the admin interface
export const ADMIN_MAX_USERS_PER_PAGE: number = 10;

// Fields to ignore when querying MongoDB
export const MONGODB_IGNORED_FIELDS: string = "-_id -__v";
export const MONGODB_IGNORED_FIELDS_USER: string =
  MONGODB_IGNORED_FIELDS + " -password -isAdmin";

// Header name for the session ID
export const HEADER_X_AUTHORIZATION: string = "x-authorization";

export const USERNAME_MIN_LENGTH: number = 2;
export const USERNAME_MAX_LENGTH: number = 24;
export const USERNAME_REGEX: RegExp = /^[a-zA-Z0-9_]+$/; // Alphanumeric and underscore
export const PASSWORD_MIN_LENGTH: number = 6;
export const PASSWORD_MAX_LENGTH: number = 64;
export const PASSWORD_REGEX: RegExp =
  /^([A-Za-z0-9+/]{4})*([A-Za-z0-9+/]{4}|[A-Za-z0-9+/]{3}=|[A-Za-z0-9+/]{2}==)$/;
export const ACCOUNT_NAME_MIN_LENGTH: number = 4;
export const ACCOUNT_NAME_MAX_LENGTH: number = 24;

// alphanumerics, numbers, underscores, and dashes
export const ACCOUNT_NAME_REGEX: RegExp = /^[a-zA-Z0-9_-]+$/;
